HOW-TO upgrade from older versions (P3/P4) to P5
Posted by Andre Kuehnemund on 27 May 2015 12:04

!!! Remember to make a backup copy of your P3  or P4 installation folder before you begin !!!

 

In preparation for the various upgrades, it is also highly recommended to read through the various upgrade FAQs.:

http://www.archiware.com/upgrade-faq

Upgrade Guide

 

 

Only installations running the latest version of P 4.4 can be upgraded to P5. Installations running versions 3.x, 4.1, 4.2, 4.3 or 4.4 MUST be upgraded to 4.4.14 before attempting an upgrade to P5.

For example, a customer who is still running PresSTORE 3.2.7 would need to first upgrade to 4.2.4, then 4.3.7, then 4.4.14 - and only then upgrade to P5.x.

- The first step prior to any upgrade should be to stop P3 or P4, to make a copy of the PresSTORE installation folder and to store that copy in a safe place. This backup copy is one's insurance policy in case something goes wrong - as it would allow a user to go back to the beginning and start over. Once a copy of the PresSTORE installation folder has been made, don't forget to restart the software.

- The next step should be to run a database check of all index databases - as a corrupted database cannot be upgraded or converted. For instructions on how to check the index databases, please refer to the user manual.

- Continuing to use the example of a user who is running version 3.2.7, the user should then download and install version 4.2.4: http://www.archiware.com/download-4-2-4.258.1.html . Following the install, login to version 4.2.4 and check the configuration, indexes etc. to make sure everything is still there and works.

- Next, download and install version 4.3.7: http://www.archiware.com/download-4-3-7.279.1.html . Login to version 4.3.7 and check your configuration, indexes etc. following the install to make sure everything still works.

- Next, download and install version 4.4.14: http://www.archiware.com/version-4.4 . Again, Login to version 4.4.14 and check your configuration, indexes etc. following the install to make sure everything still works.

- Finally, download and install version 5.1.x: http://www.archiware.com/version-5.1 . Login to version 5.1.x and check your configuration, indexes etc. following the install to make sure everything still works.

At this point, a customer should be able to see their configuration in P5 as it existed in prior versions and they should be able to browse their existing backup and archive indexes. Older backup and archive indexes should be listed in the restore browser under a P4 heading. Those indexes cannot be searched - only browsed.

Backup indexes cannot be converted to the P5 format. Therefore a user will be required to start over with fresh backups in P5. Archive indexes, on the other hand, can be converted to the P5 formatted. Once an archive index has been converted, a user can continue to use the archive index with P5. P5 indexes are searchable.

If, at any point, a users runs into issues during the upgrade, he/she should create a support ticket through our website, describe the issue and attach the P3 or P4 support data to the ticket. Users should refer to the P3/P4 user manual for instructions on how to download the support data.

 

 

 

 

 

(0 vote(s))
Helpful
Not helpful

Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments:
CAPTCHA Verification 
 
Please enter the text you see in the image into the textbox below (we use this to prevent automated submissions).